com.atlassian.clover.spi.lang

## Enum Language.Builtin

- java.lang.Object
- - java.lang.Enum<Language.Builtin>
  - - com.atlassian.clover.spi.lang.Language.Builtin

- All Implemented Interfaces:
    Language, java.io.Serializable, java.lang.Comparable<Language.Builtin>
  Enclosing interface:
    Language

      public static enum Language.Builtin
      extends java.lang.Enum<Language.Builtin>
      implements Language

  Languages supported by Clover out-of-the-box.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.atlassian.clover.spi.lang.Language

      `Language.Builtin`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROOVY`
    `JAVA`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getFileExtensions()`
    `java.lang.String` | `getName()`
    `java.util.Set<LanguageConstruct>` | `getSupportedConstructs()`
    `static Language.Builtin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Language.Builtin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA

          public static final Language.Builtin JAVA

    - #### GROOVY

          public static final Language.Builtin GROOVY

  - ### Method Detail

    - #### values

          public static Language.Builtin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Language.Builtin c : Language.Builtin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Language.Builtin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Language`
      Returns:
        the language's name

    - #### getFileExtensions

          public java.util.Set<java.lang.String> getFileExtensions()

      Specified by:
        `getFileExtensions` in interface `Language`
      Returns:
        the file extensions supported by the language (e.g. ".java")

    - #### getSupportedConstructs

          public java.util.Set<LanguageConstruct> getSupportedConstructs()

      Specified by:
        `getSupportedConstructs` in interface `Language`
      Returns:
        the language constructs supported by the language